# pandas.Period.week

Period.week

  Get the week of the year on the given Period.

  Returns
    int

  See also

  `Period.dayofweek`

    Get the day component of the Period.

  `Period.weekday`

    Get the day component of the Period.

  Examples

      >>> p = pd.Period("2018-03-11", "H")
      >>> p.week
      10

      >>> p = pd.Period("2018-02-01", "D")
      >>> p.week
      5

      >>> p = pd.Period("2018-01-06", "D")
      >>> p.week
      1